package wallet

type Enable int8

const (
	EnableTrue  Enable = 1
	EnableFalse Enable = 2
)

func (e Enable) ToINT8() int8 {
	return int8(e)
}

func (e Enable) ToBool() bool {
	return e == EnableTrue
}
